package org.expressolivre.cte.pages.calendar;

import org.expressolivre.cte.common.Constants;
import org.expressolivre.cte.pages.common.Page;
import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.FindBy;
import org.openqa.selenium.support.PageFactory;

/**
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Feb 8, 2011 at 9:13:50 AM
 * 
 */
public class CalendarPage extends Page {

	/** Como para selecionar mes. */
	@FindBy(name = "date")
	private WebElement date;

	public CalendarPage(WebDriver driver) {
		super(driver);
		// TODO Auto-generated constructor stub
	}

	public CalendarTodayViewPage openTodayView() {
		super.clickElement(By
				.xpath("//table[@id='calendar_head_table']/tbody/tr/td[2]/a/img"));
		return PageFactory.initElements(driver, CalendarTodayViewPage.class);
	}

	public void openAppointmentPage(String date) {
		driver.get(Constants.URL
				+ "/index.php?menuaction=calendar.uicalendar.add&date=" + date);
	}

	public AppointmentViewPage openAppointmentViewPage(String id) {
		driver.get(Constants.URL
				+ "/index.php?menuaction=calendar.uicalendar.view&cal_id=" + id);
		return PageFactory.initElements(driver, AppointmentViewPage.class);
	}

	public AppointmentViewPage openAppointmentViewPage(String id, String date) {
		driver.get(Constants.URL
				+ "/index.php?menuaction=calendar.uicalendar.view&cal_id=" + id
				+ "&date=" + date);
		System.out
				.println("/index.php?menuaction=calendar.uicalendar.view&cal_id="
						+ id + "&date=" + date);
		return PageFactory.initElements(driver, AppointmentViewPage.class);
	}
}
